%define gtkver 2.4.0
Name:		ximian-artwork
Version: 	0.2.26
Release:	3mdk
License:	GPL
BuildRoot:	%_tmppath/%{name}-%{version}-root
URL:		http://www.ximian.com/
Source0:	%name-%version.tar.bz2
BuildRequires:	gtk+-devel
BuildRequires:	gtk+2-devel
Summary:	The Default Style for Ximian Desktop
Group: Graphical desktop/GNOME
Requires: gnome-icon-theme

%description
ximian-artwork contains the default style configuration for the Ximian Desktop.
This package contains themes for GNOME2, gdm xmms and galeon.

%prep
%setup  -q

%build
%configure2_5x
%make

%install
%makeinstall_std
rm %buildroot%{_libdir}/gtk/themes/engines/*a
rm %buildroot%{_libdir}/gtk-2.0/%gtkver/engines/*a
cd %buildroot%_datadir/icons/gnome/32x32/apps
#gw remove the icons already present in gnome-icon-theme
rm -f administration.png apacheconf.png applets-screenshooter.png file-manager.png gnome-networktool.png logviewer.png network-config.png network.png postscript-viewer.png serviceconf.png system-floppy.png 
cd ../../48x48/apps
rm -f administration.png apacheconf.png applets-screenshooter.png file-manager.png gnome-networktool.png logviewer.png network-config.png network.png postscript-viewer.png serviceconf.png tsclient.png web-browser.png xcdroast.png xsane.png

%clean
rm -fr %buildroot

%files
%defattr(-, root, root)
%doc COPYING
%{_datadir}/themes/*
%{_datadir}/pixmaps/*.png
%{_datadir}/pixmaps/ximian/
%{_datadir}/pixmaps/backgrounds/ximian/
%{_datadir}/gdm/themes/*
%{_datadir}/galeon/themes/*
%{_datadir}/pixmaps/nautilus/*
%{_libdir}/gtk/themes/engines/libindustrial.so
%{_libdir}/gtk-2.0/%gtkver/engines/libindustrial.so
%{_datadir}/xmms/Skins/*
%{_datadir}/icons/Industrial/
%{_datadir}/icons/gnome/48x48/apps/panel-notification-area.png
%{_datadir}/icons/gnome/48x48/apps/realplayer.png



%changelog
* Sat Apr  3 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.2.26-3mdk
- autoconf 2.5 macro
- rebuild for new gtk

* Tue Aug  5 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.2.26-2mdk
- depend on gnome-icon-theme
- remove files already in gnome-icon-theme

* Fri Jun 13 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.2.26-1mdk
- adapt for Mandrake

* Fri May 23 2003 Ximian, Inc.

- Version: 0.2.26-0.ximian.6.1
- Summary: New build.
- New automated build.

* Wed May 21 2003 Ximian, Inc.

- Version: 0.2.25-0.ximian.5.1
- Summary: New build.
- New automated build.

* Sat Apr 26 2003 Ximian, Inc.

- Version: 0.2.19-0.ximian.1
- Summary: New build.
- New automated build.

* Thu Mar 20 2003 Ximian, Inc.

- Version: 0.2.16-0.ximian.2
- Summary: New build.
- New automated build.

* Tue Feb 11 2003 Ximian, Inc.

- Version: 0.2.14-0.ximian.1
- Summary: New build.
- New automated build.

* Fri Feb 7 2003 Ximian, Inc.

- Version: 0.2.13-0.ximian.1
- Summary: New build.
- New automated build.

* Tue Jan 21 2003 Ximian, Inc.

- Version: 0.2.11-1.ximian.1
- Summary: Tweaked handle and scrollbar code.
- Fixes GtkVPaneds and GtkHPaned.  Fixed scrollbars for
          mozilla/galeon.  Fixed scrollbar and handle colors.

* Tue Jan 21 2003 Ximian, Inc.

- Version: 0.2.10-1.ximian.1
- Summary: New GtkPaned code.
- Fixes GtkVPaneds and GtkHPaned.

* Tue Jan 21 2003 Ximian, Inc.

- Version: 0.2.9-1.ximian.1
- Summary: Galeon theme.
- Adds galeon theme.

* Fri Oct 25 2002 Ximian, Inc.

- Version: 0.2.0-1.ximian.1
- Summary: New build.
- New automated build.

* Tue Oct 22 2002 Ximian, Inc.

- Version: 0.1.5-1.ximian.1
- Summary: New build.
- New automated build.

* Tue Oct 15 2002 Ximian, Inc.

- Version: 0.1.4.2-1.ximian.1
- Summary: New build.
- New automated build.

* Fri Oct 11 2002 Ximian, Inc.

- Version: 0.1.4-1.ximian.1
- Summary: New build.
- New automated build.

* Fri Oct 4 2002 Ximian, Inc.

- Version: 0.1.3-1.ximian.1
- Summary: New build.
- New automated build.

* Fri Oct 4 2002 Ximian, Inc.

- Version: 0.1.2-1.ximian.1
- Summary: New build.
- New automated build.

* Wed Oct 2 2002 Ximian, Inc.

- Version: 0.1.1-1.ximian.1
- Summary: New build.
- New automated build.

* Mon Sep 30 2002 Ximian, Inc.

- Version: 0.1.0-1.ximian.1
- Summary: New build.
- New automated build.

* Fri Sep 27 2002 Ximian, Inc.

- Version: 0.0.8-1.ximian.1
- Summary: New build.
- New automated build.

* Thu Sep 26 2002 Ximian, Inc.

- Version: 0.0.7.1-1.ximian.1
- Summary: New build.
- New automated build.

* Mon Sep 23 2002 Ximian, Inc.

- Version: 0.0.6.1-1.ximian.1
- Summary: New build.
- New automated build.

* Fri Sep 20 2002 Ximian, Inc.

- Version: 0.0.6-1.ximian.1
- Summary: New build.
- New automated build.

* Fri Sep 20 2002 Ximian, Inc.

- Version: 0.0.5.2-1.ximian.1
- Summary: New build.
- New automated build.

* Thu Sep 19 2002 Ximian, Inc.

- Version: 0.0.5.1-1.ximian.1
- Summary: New build.
- New automated build.

* Fri Sep 13 2002 Ximian, Inc.

- Version: 0.0.5-1.ximian.1
- Summary: New build.
- New automated build.

* Thu Sep 12 2002 Ximian, Inc.

- Version: 0.0.4.1-1.ximian.1
- Summary: New build.
- New automated build.

* Wed Sep 11 2002 Ximian, Inc.

- Version: 0.0.4-1.ximian.1
- Summary: New build.
- New automated build.

* Mon Sep 9 2002 Ximian, Inc.

- Version: 0.0.3-1.ximian.1
- Summary: New build.
- New automated build.

* Wed Aug 28 2002 Ximian, Inc.

- Version: 0.0.2-1.ximian.1
- Summary: New build.
- New automated build.

* Fri Aug 23 2002 Ximian, Inc.

- Version: 0.0.1-1.ximian.1
- Summary: New build.
- New automated build.

